version: '3.5'
services:
{% for soft in items %}
{% if soft.enable is defined and soft.enable is sameas true %}
  
  {{ soft.name }}:
      image: {{ docker_repo }}/{{ soft.docker_name }}:{{ soft.docker_tag }}
      ports:
      - "{{ soft.outher_port}}:{{ soft.inner_port | default('8089') }}"
{% if soft.env_file is defined and soft.env_file is sameas true %}
{% include 'environment.yml.j2' %}
{% endif %}
      networks:
        zif-net:
      restart: {{ soft.restart_type | default('unless-stopped') }}    
{% endif %} {% endfor %}
networks:
  zif-net:
    external: true
    name: zif-local